# simsurvey
Simulation tools for astronomical surveys (cadence, strategy).


[![PyPI](https://img.shields.io/pypi/v/simsurvey.svg?style=flat-square)](https://pypi.python.org/pypi/simsurvey)

Python
------

**Documentation:** https://simsurvey.readthedocs.io/

**Paper:** [Feindt et al. (2019)](https://arxiv.org/abs/1902.03923)

**Citing simsurvey:** [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3384863.svg)](https://doi.org/10.5281/zenodo.3384863)

**Installation**
```
sudo pip install simsurvey
```
**Requirements:**

The required packages will be installed automatically if you install simsurvey using pip
- astropy (pip install astropy)
- sncosmo (pip install sncosmo)
- propobject (pip install propobject)
- sfdmap (pip install sfdmap)

_Optional_
- matplotlib (pip install matplotlib) _for plotting the survey results_
- healpy (pip install matplotlib) _for using HEALPix-based sky maps_
Examples
--------

Scripts to rerun the analysis performed in [Feindt et al. (submitted)](https://arxiv.org/abs/1902.03923) are available at https://github.com/ufeindt/simsurvey-paper-scripts

Further example notebooks can be found at https://github.com/ZwickyTransientFacility/simsurvey-examples


